%global _empty_manifest_terminate_build 0
%global pypi_name mkdocs-material
%global source_name mkdocs_material

Name:           python-%{pypi_name}
Version:        9.1.16
Release:        1
Summary:        A Material Design theme for MkDocs.

License:        MIT
URL:            https://squidfunk.github.io/mkdocs-material
Source0:        https://files.pythonhosted.org/packages/b5/35/96d2fae52aad6e6c0a79a3106ec013f4c4270dfcc52bb01e9cb1895b85ff/mkdocs_material-9.1.16.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-hatch-nodejs-version
BuildRequires:	python3-hatch-requirements-txt

%description
A Material Design theme for MkDocs.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A Material Design theme for MkDocs.


%prep
%autosetup -p1 -n %{source_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/material
%{python3_sitelib}/%{source_name}*.dist-info/

%changelog
* Sun Jun 18 2023 Dongxing Wang <dxwangk@isoftstone.com> - 9.1.16-1
- Initial package
